/*
 * Copyright 2010-2020 Alfresco Software, Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.activiti.core.common.spring.security.policies.conf;

import org.activiti.core.common.spring.security.policies.SecurityPolicy;
import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.ArrayList;
import java.util.List;

@ConfigurationProperties("activiti.security")
public class SecurityPoliciesProperties {

    private List<SecurityPolicy> policies = new ArrayList<>();

    private String wildcard = "*";


    public List<SecurityPolicy> getPolicies() {
        return policies;
    }

    public String getWildcard() {
        return wildcard;
    }

}
